package ${package};

import ${package}.dao.DAOFactory;
import ${package}.db.SchemaManager;

public class Application {

	private static Application application;

	protected DAOFactory daoFactory;

	public Application() {
		daoFactory = DAOFactory.getDAOFactory();
	}

	private void initEngines() {

	}

	public static void initialize() {
		application = new Application();
		SchemaManager.getInstance().initSchema();
		application.initEngines();
	}

}
