package ${package}.dao;

import java.io.Serializable;
import java.util.List;

import ${package}.domain.Identifiable;

public interface GenericDAO<T extends Identifiable, PK extends Serializable> {

	PK create(T object);

	T read(PK id);

	void update(T object);

	void delete(PK key);

	List<T> readAll();
}
