package ${package}.servlets;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import ${package}.Application;

import org.apache.log4j.Logger;

public class StartupServlet extends HttpServlet {

    private static final long serialVersionUID = -8151470636456820370L;

    private static final Logger logger = Logger.getLogger(StartupServlet.class);

    @Override
    public void init() throws ServletException {
    	try {
    		super.init();
    		Application.initialize();
    		logger.info("Application initialized");
    	} catch (Exception e) {
    		logger.info("Application initialization failed", e);
    	} 
    }
}
